package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgCO;
import com.szpg.db.data.PgCOAlm;

/**
 * 一氧化碳相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgCODao {

	/******** 一氧化碳浓度变量值 ********/
	public List<PgCO> findAllPblz();
	public PgCO findPblzById(Integer id);
	
	public List<PgCO> findPblzByDevice(Integer deviceid);
	public List<PgCO> findPblzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addPblzRecord(PgCO ch4);
	public int addPblzRecord(float value, String tm, int deviceid);
	
	
	/******** 一氧化碳浓度报警状态 ********/
	public List<PgCOAlm> findAllSbjz();
	public PgCOAlm findSbjzById(Integer id);
	
	public List<PgCOAlm> findSbjzByDevice(Integer deviceid);
	public List<PgCOAlm> findSbjzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addSbjzRecord(PgCOAlm ch4alm);
	public int addSbjzRecord(boolean status, String tm, int deviceid);
}
